Subject: Re: 23.1.50; checkdoc allow uncapitalized info node links
From: Chong Yidong <[email-masked]>
To: Kevin Ryde <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Oct 2009 13:27:58 -0400

> M-x checkdoc on the file foo.el below complains
>
>     Name emacs should appear capitalized as Emacs (C-h,f,e,n,p,q)
>
> at the `(emacs)' info link.  I hoped it would recognise that has to be
> left as-is, since it must follow the target document's name and nodes.
>
> Perhaps the following, dragging in help-mode.el for a definitive regexp,
> and using thingatpt.el just because it's a convenient way to match
> surrounding point.

I checked in a slightly different fix.  Thanks for the bug report.